aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-apps-build-app.sh
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2018-06-27 19:56:31 +0200
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2018-06-28 00:31:57 +0200
commit7380dd1f2b7163c6a8299920f7441c2d07c7aa51 (patch)
tree4c218d75ff6471c9dfc21f220e8e4aaf8eaa9dbe /jjb/common/include-apps-build-app.sh
parent3b90c745ea2894b655ca96aafa2f464347dbef9e (diff)
In case of cmake enforce an out-of-tree build
This fixes a build error with newer app templates if no autobuild script is found. Change-Id: Iad3ea26ddd8cd3f680f8788cd08b8d2a374e8dc5 Bug-AGL: SPEC-1534 Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'jjb/common/include-apps-build-app.sh')
-rw-r--r--jjb/common/include-apps-build-app.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/jjb/common/include-apps-build-app.sh b/jjb/common/include-apps-build-app.sh
index cd742587..a6626302 100644
--- a/jjb/common/include-apps-build-app.sh
+++ b/jjb/common/include-apps-build-app.sh
@@ -80,9 +80,13 @@ if [[ ! x"yes" = x"$HANDLED" ]] && $(echo "$TARGETPROJECT" | grep -q "apps/"); t
export DONE=1
fi
if test x"0" = x"$DONE" -a -f CMakeLists.txt; then
- cmake .
+ rm -rf build || true
+ mkdir build
+ pushd build
+ cmake ../
make
make package || true
+ popd
export DONE=1
fi
if test x"0" = x"$DONE" -a -f Makefile ; then